#ifndef APPLICATIONDATA_H
#define APPLICATIONDATA_H

#include "connectiondata.h"

#include <QString>
#include <QList>

class ApplicationData
{
public:
    static void createConfigExample(const QString& pathToConfig);

    ApplicationData(const QString& pathToConfig);
    std::pair<QString, quint16> getWebInterfaceAddress();
    QList<ConnectionData> getConnections();
    QString getMainChannel();
    QString getLogFolder();

private:
    void readConfig();

    QString m_file;
    QString m_mainChannel;

    // Global
    QString m_logPath;
    QString m_nick;
    QString m_user;
    QString m_realName;
    QString m_password;
    QString m_webInterfaceAddress;
    quint16 m_webInterfacePort;

    QList<ConnectionData> m_connections;
};

#endif // APPLICATIONDATA_H
